Bug 740850 - hbactest does not resolve canonical names during simulation.
Summary: hbactest does not resolve canonical names during simulation.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: ipa
Version: 6.2
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Rob Crittenden
QA Contact: IDM QE LIST
URL:
Whiteboard:
Depends On:
Blocks: 748554
TreeView+ depends on / blocked
 
Reported: 2011-09-23 14:29 UTC by Gowrishankar Rajaiyan
Modified: 2011-12-06 18:32 UTC (History)
3 users (show)

Fixed In Version: ipa-2.1.3-1.el6
Doc Type: Bug Fix
Doc Text:
Do not document
Clone Of:
Environment:
Last Closed: 2011-12-06 18:32:23 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:1533 normal SHIPPED_LIVE Moderate: ipa security and bug fix update 2011-12-06 01:23:31 UTC

Description Gowrishankar Rajaiyan 2011-09-23 14:29:07 UTC
Description of problem:
During hbacrule-add-host, adding canonical names e.g. "scroponok" resolves them to "scroponok.lab.eng.pnq.redhat.com", however, during ipa hbactest, entering "scroponok" doesn't work. I had to enter "scroponok.lab.eng.pnq.redhat.com" explicitly.

Version-Release number of selected component (if applicable):
ipa-server-2.1.1-4.el6.x86_64

How reproducible:
Always

Steps to Reproduce:
1. [root@kungfupanda ~]# ipa hbacrule-add-host 
Rule name: rule1
[member host]: cavenger
[member host group]: 
  Rule name: rule1
  Enabled: TRUE
  Hosts: cavenger.lab.eng.pnq.redhat.com
-------------------------
Number of members added 1
-------------------------

2.[root@kungfupanda ~]# ipa hbactest
User name: kaushik
Source host: scroponok.lab.eng.pnq.redhat.com
Target host: cavenger.lab.eng.pnq.redhat.com
Service: sshd
--------------------
Access granted: True
--------------------

3. # ipa hbactest
User name: kaushik
Source host: scroponok
Target host: cavenger
Service: sshd
---------------------
Access granted: False
---------------------

  
Actual results: Does not resolve the canonical name and displays "Access granted: False"

Expected results: Should resolve canonical name and display "Access granted: True" as it does while entering the complete fqdn.

Additional info:

Comment 2 Rob Crittenden 2011-09-23 17:40:41 UTC
Upstream ticket:
https://fedorahosted.org/freeipa/ticket/1862

Comment 3 Rob Crittenden 2011-10-11 14:20:54 UTC
Fixed upstream

master: 3e1c04f9333ac3f4333d5cf99579e85a44c9573b

ipa-2-1: caaacc9a611c5e3230189b2c4636e7d568c21f45

Comment 5 Gowrishankar Rajaiyan 2011-10-25 04:34:43 UTC
[root@bumblebee ~]# ipa hbactest
User name: user1
Source host: external
Target host: bumblebee
Service: vsftpd
--------------------
Access granted: True
--------------------
  matched: allow_all
  matched: rule1
[root@bumblebee ~]# 


Verified. Version: ipa-server-2.1.3-3.el6.x86_64

Comment 7 Martin Kosek 2011-11-01 09:06:57 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Do not document

Comment 8 errata-xmlrpc 2011-12-06 18:32:23 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2011-1533.html


Note You need to log in before you can comment on or make changes to this bug.